MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028799Community[OCCT] OCCT:Codingpublic2017-05-31 08:332017-09-29 16:29
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028799: Coding Rules - elimilate confusing Quantity aliases of Standard_Real type
DescriptionThe types defined as aliases of Standard_Real in TKernel Quantity package can be removed to simplfy the type system of OCCT. It's confusion and hard to remember these types when coding base on OCCT, they are actually Standard_Real types, As a programer, i'd like to use Standard_Real straightforward.

typedef Standard_Real Quantity_AbsorbedDose;
typedef Standard_Real Quantity_Acceleration;
typedef Standard_Real Quantity_AcousticIntensity;
typedef Standard_Real Quantity_Activity;
typedef Standard_Real Quantity_Admittance;
typedef Standard_Real Quantity_AmountOfSubstance;
typedef Standard_Real Quantity_AngularVelocity;
typedef Standard_Real Quantity_Area;
typedef Standard_Real Quantity_Capacitance;
typedef Standard_Real Quantity_Coefficient;
typedef Standard_Real Quantity_CoefficientOfExpansion;
typedef Standard_Real Quantity_Concentration;
typedef Standard_Real Quantity_Conductivity;
typedef Standard_Real Quantity_Constant;
typedef Standard_Real Quantity_Consumption;
typedef Standard_Real Quantity_Content;
typedef Standard_Real Quantity_Density;
typedef Standard_Real Quantity_DoseEquivalent;
typedef Standard_Real Quantity_ElectricCapacitance;
typedef Standard_Real Quantity_ElectricCharge;
typedef Standard_Real Quantity_ElectricCurrent;
typedef Standard_Real Quantity_ElectricFieldStrength;
typedef Standard_Real Quantity_ElectricPotential;
typedef Standard_Real Quantity_Energy;
typedef Standard_Real Quantity_Enthalpy;
typedef Standard_Real Quantity_Entropy;
...

TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028316closedbugmaster Community Coding Rules - Elimilate confusing aliases of Standard_Real type in V3d_View 

-  Notes
(0067133)
git (administrator)
2017-06-06 15:30

Branch CR28799 has been created by kgv.

SHA-1: 3a882d18f31957fd91a7741860b96329ba0dffcc


Detailed log of new commits:

Author: kgv
Date: Tue Jun 6 15:30:19 2017 +0300

    0028799: Coding Rules - elimilate confusing Quantity aliases of Standard_Real type
(0067161)
Vico Liang (developer)
2017-06-07 04:27

WELL DONE, it's better to delete all these Quantity definition files.
(0067327)
git (administrator)
2017-06-13 17:07

Branch CR28799 has been updated by kgv.

SHA-1: 4b84ee828d0338a24fbfb213d2b34ae41e0fbeab


Detailed log of new commits:

Author: kgv
Date: Tue Jun 13 17:04:49 2017 +0300

    Aliases to Standard_Real within Quantity package have been marked as deprecated.

(0067328)
git (administrator)
2017-06-13 17:08

Branch CR28799_1 has been created by kgv.

SHA-1: b84f7c26926a581967478f9907c17359a146bd27


Detailed log of new commits:

Author: kgv
Date: Tue Jun 6 15:30:19 2017 +0300

    0028799: Coding Rules - elimilate confusing Quantity aliases of Standard_Real type
    
    Aliases to Standard_Real within Quantity package have been marked as deprecated.
(0067329)
kgv (developer)
2017-06-13 17:08

Please check compilation, regression testing is not needed.
(0067332)
git (administrator)
2017-06-13 17:28

Branch CR28799_1 has been updated forcibly by mkv.

SHA-1: 11ec8d0d979b973a35b0603b95f1ea92135523c4
(0067386)
mkv (tester)
2017-06-13 18:41

Dear BugMaster,
Branch CR28799_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 11ec8d0d979b973a35b0603b95f1ea92135523c4

Number of compiler warnings:

occt component :
Linux: 2 (0 on master)
Windows: 0 (0 on master)
MacOS : 1 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1207

There are new additional compilation warnings on Linux and MacOS platforms:
http://jenkins-test-11.nnov.opencascade.com:8080/view/CR28799_1-master/view/OCCT%20compile/job/CR28799_1-master-OCCT-Debian70-64-opt-compile/1/warningsResult/ [^]
Quantity_Convert.hxx:50, GNU C Compiler 4 (gcc), Priority: Normal
attribute ignored in declaration of 'class Quantity_Convert' [enabled by default]
Quantity_Convert.hxx:50, GNU C Compiler 4 (gcc), Priority: Normal
attribute for 'class Quantity_Convert' must follow the 'class' keyword [enabled by default]

http://jenkins-test-11.nnov.opencascade.com:8080/view/CR28799_1-master/view/OCCT%20compile/job/CR28799_1-master-OCCT-MacOS-opt-compile/1/warningsResult/ [^]
Quantity_Convert.hxx:49, Clang (LLVM based), Priority: Normal
attribute 'deprecated' is ignored, place it after "class" to apply attribute to type declaration
(0067387)
mkv (tester)
2017-06-13 18:41

Dear kgv,
Branch CR28799_1 has been rejected due to:
- new additional compilation warnings
(0067391)
git (administrator)
2017-06-13 19:43

Branch CR28799_1 has been updated forcibly by kgv.

SHA-1: cff7999a43046f5e1800066512f5aa9970c9e597
(0067392)
kgv (developer)
2017-06-13 19:44

Please check compilation of updated patch.
(0067408)
mkv (tester)
2017-06-14 14:33

Dear BugMaster,
Branch CR28799_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: cff7999a43046f5e1800066512f5aa9970c9e597

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1215
(0067409)
mkv (tester)
2017-06-14 14:34

Dear BugMaster,
Branch CR28799_1 is TESTED.
(0067874)
git (administrator)
2017-07-03 08:45

Branch CR28799 has been deleted by kgv.

SHA-1: 4b84ee828d0338a24fbfb213d2b34ae41e0fbeab
(0067875)
git (administrator)
2017-07-03 08:45

Branch CR28799_1 has been deleted by kgv.

SHA-1: cff7999a43046f5e1800066512f5aa9970c9e597

- Related Changesets
occt: master 09324e85
Timestamp: 2017-06-06 12:30:19
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028799: Coding Rules - elimilate confusing Quantity aliases of Standard_Real type

Aliases to Standard_Real within Quantity package have been marked as deprecated.
mod - src/BRepFeat/BRepFeat_MakeRevolutionForm.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Filling.cxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_Revol.hxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_Rotation.hxx Diff ] File ]
mod - src/Geom2dAPI/Geom2dAPI_ExtremaCurveCurve.hxx Diff ] File ]
mod - src/Geom2dAPI/Geom2dAPI_ProjectPointOnCurve.hxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_ExtremaCurveCurve.cxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_ExtremaCurveCurve.hxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_ExtremaCurveSurface.hxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_ExtremaSurfaceSurface.hxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_IntCS.cxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_IntCS.hxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_ProjectPointOnCurve.hxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_ProjectPointOnSurf.hxx Diff ] File ]
mod - src/Quantity/FILES Diff ] File ]
mod - src/Quantity/Quantity_AbsorbedDose.hxx Diff ] File ]
mod - src/Quantity/Quantity_Acceleration.hxx Diff ] File ]
mod - src/Quantity/Quantity_AcousticIntensity.hxx Diff ] File ]
mod - src/Quantity/Quantity_Activity.hxx Diff ] File ]
mod - src/Quantity/Quantity_Admittance.hxx Diff ] File ]
mod - src/Quantity/Quantity_AmountOfSubstance.hxx Diff ] File ]
mod - src/Quantity/Quantity_AngularVelocity.hxx Diff ] File ]
mod - src/Quantity/Quantity_Area.hxx Diff ] File ]
rm - src/Quantity/Quantity_Array1OfCoefficient.hxx Diff ] File ]
mod - src/Quantity/Quantity_Capacitance.hxx Diff ] File ]
mod - src/Quantity/Quantity_Coefficient.hxx Diff ] File ]
mod - src/Quantity/Quantity_CoefficientOfExpansion.hxx Diff ] File ]
mod - src/Quantity/Quantity_Color.cxx Diff ] File ]
mod - src/Quantity/Quantity_Color.hxx Diff ] File ]
mod - src/Quantity/Quantity_Concentration.hxx Diff ] File ]
mod - src/Quantity/Quantity_Conductivity.hxx Diff ] File ]
mod - src/Quantity/Quantity_Constant.hxx Diff ] File ]
mod - src/Quantity/Quantity_Consumption.hxx Diff ] File ]
mod - src/Quantity/Quantity_Content.hxx Diff ] File ]
mod - src/Quantity/Quantity_Convert.cxx Diff ] File ]
mod - src/Quantity/Quantity_Convert.hxx Diff ] File ]
rm - src/Quantity/Quantity_Convert.lxx Diff ] File ]
mod - src/Quantity/Quantity_Date.hxx Diff ] File ]
rm - src/Quantity/Quantity_Date.lxx Diff ] File ]
mod - src/Quantity/Quantity_Density.hxx Diff ] File ]
mod - src/Quantity/Quantity_DoseEquivalent.hxx Diff ] File ]
mod - src/Quantity/Quantity_ElectricCapacitance.hxx Diff ] File ]
mod - src/Quantity/Quantity_ElectricCharge.hxx Diff ] File ]
mod - src/Quantity/Quantity_ElectricCurrent.hxx Diff ] File ]
mod - src/Quantity/Quantity_ElectricFieldStrength.hxx Diff ] File ]
mod - src/Quantity/Quantity_ElectricPotential.hxx Diff ] File ]
mod - src/Quantity/Quantity_Energy.hxx Diff ] File ]
mod - src/Quantity/Quantity_Enthalpy.hxx Diff ] File ]
mod - src/Quantity/Quantity_Entropy.hxx Diff ] File ]
mod - src/Quantity/Quantity_Factor.hxx Diff ] File ]
mod - src/Quantity/Quantity_Force.hxx Diff ] File ]
mod - src/Quantity/Quantity_Frequency.hxx Diff ] File ]
mod - src/Quantity/Quantity_Illuminance.hxx Diff ] File ]
mod - src/Quantity/Quantity_Impedance.hxx Diff ] File ]
mod - src/Quantity/Quantity_Index.hxx Diff ] File ]
mod - src/Quantity/Quantity_Inductance.hxx Diff ] File ]
mod - src/Quantity/Quantity_KinematicViscosity.hxx Diff ] File ]
mod - src/Quantity/Quantity_KineticMoment.hxx Diff ] File ]
mod - src/Quantity/Quantity_Length.hxx Diff ] File ]
mod - src/Quantity/Quantity_Luminance.hxx Diff ] File ]
mod - src/Quantity/Quantity_LuminousEfficacity.hxx Diff ] File ]
mod - src/Quantity/Quantity_LuminousExposition.hxx Diff ] File ]
mod - src/Quantity/Quantity_LuminousFlux.hxx Diff ] File ]
mod - src/Quantity/Quantity_LuminousIntensity.hxx Diff ] File ]
mod - src/Quantity/Quantity_MagneticFieldStrength.hxx Diff ] File ]
mod - src/Quantity/Quantity_MagneticFlux.hxx Diff ] File ]
mod - src/Quantity/Quantity_MagneticFluxDensity.hxx Diff ] File ]
mod - src/Quantity/Quantity_Mass.hxx Diff ] File ]
mod - src/Quantity/Quantity_MassFlow.hxx Diff ] File ]
mod - src/Quantity/Quantity_MolarConcentration.hxx Diff ] File ]
mod - src/Quantity/Quantity_Molarity.hxx Diff ] File ]
mod - src/Quantity/Quantity_MolarMass.hxx Diff ] File ]
mod - src/Quantity/Quantity_MolarVolume.hxx Diff ] File ]
mod - src/Quantity/Quantity_MomentOfAForce.hxx Diff ] File ]
mod - src/Quantity/Quantity_MomentOfInertia.hxx Diff ] File ]
mod - src/Quantity/Quantity_Momentum.hxx Diff ] File ]
mod - src/Quantity/Quantity_Normality.hxx Diff ] File ]
mod - src/Quantity/Quantity_Parameter.hxx Diff ] File ]
mod - src/Quantity/Quantity_Period.hxx Diff ] File ]
rm - src/Quantity/Quantity_Period.lxx Diff ] File ]
mod - src/Quantity/Quantity_PlaneAngle.hxx Diff ] File ]
mod - src/Quantity/Quantity_Power.hxx Diff ] File ]
mod - src/Quantity/Quantity_Pressure.hxx Diff ] File ]
mod - src/Quantity/Quantity_Quotient.hxx Diff ] File ]
mod - src/Quantity/Quantity_Rate.hxx Diff ] File ]
mod - src/Quantity/Quantity_Ratio.hxx Diff ] File ]
mod - src/Quantity/Quantity_Reluctance.hxx Diff ] File ]
mod - src/Quantity/Quantity_Resistance.hxx Diff ] File ]
mod - src/Quantity/Quantity_Resistivity.hxx Diff ] File ]
mod - src/Quantity/Quantity_Scalaire.hxx Diff ] File ]
mod - src/Quantity/Quantity_SolidAngle.hxx Diff ] File ]
mod - src/Quantity/Quantity_SoundIntensity.hxx Diff ] File ]
mod - src/Quantity/Quantity_SpecificHeatCapacity.hxx Diff ] File ]
mod - src/Quantity/Quantity_Speed.hxx Diff ] File ]
mod - src/Quantity/Quantity_SurfaceTension.hxx Diff ] File ]
mod - src/Quantity/Quantity_Temperature.hxx Diff ] File ]
mod - src/Quantity/Quantity_ThermalConductivity.hxx Diff ] File ]
mod - src/Quantity/Quantity_Torque.hxx Diff ] File ]
mod - src/Quantity/Quantity_Velocity.hxx Diff ] File ]
mod - src/Quantity/Quantity_Viscosity.hxx Diff ] File ]
mod - src/Quantity/Quantity_Volume.hxx Diff ] File ]
mod - src/Quantity/Quantity_VolumeFlow.hxx Diff ] File ]
mod - src/Quantity/Quantity_Weight.hxx Diff ] File ]
mod - src/Quantity/Quantity_Work.hxx Diff ] File ]
mod - src/VrmlAPI/VrmlAPI_Writer.hxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_Drawer.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_Drawer.hxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_Projector.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_Projector.hxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_WFDeflectionRestrictedFace.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_WFDeflectionRestrictedFace.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-31 08:33 Vico Liang New Issue
2017-05-31 08:33 Vico Liang Assigned To => kgv
2017-05-31 08:43 Vico Liang Relationship added related to 0028316
2017-06-06 15:30 kgv Severity minor => integration request
2017-06-06 15:30 kgv Summary Elimilate Quantity aliases of Standard_Real type => Coding Rules - elimilate confusing Quantity aliases of Standard_Real type
2017-06-06 15:30 git Note Added: 0067133
2017-06-07 04:27 Vico Liang Note Added: 0067161
2017-06-13 17:07 git Note Added: 0067327
2017-06-13 17:08 git Note Added: 0067328
2017-06-13 17:08 kgv Note Added: 0067329
2017-06-13 17:08 kgv Assigned To kgv => bugmaster
2017-06-13 17:08 kgv Status new => resolved
2017-06-13 17:08 kgv Status resolved => reviewed
2017-06-13 17:17 mkv Assigned To bugmaster => mkv
2017-06-13 17:28 git Note Added: 0067332
2017-06-13 18:41 mkv Note Added: 0067386
2017-06-13 18:41 mkv Note Added: 0067387
2017-06-13 18:41 mkv Assigned To mkv => kgv
2017-06-13 18:41 mkv Status reviewed => assigned
2017-06-13 18:41 mkv Test case number => Not needed
2017-06-13 19:43 git Note Added: 0067391
2017-06-13 19:44 kgv Note Added: 0067392
2017-06-13 19:44 kgv Assigned To kgv => bugmaster
2017-06-13 19:44 kgv Status assigned => resolved
2017-06-13 19:44 kgv Status resolved => reviewed
2017-06-13 20:04 mkv Assigned To bugmaster => mkv
2017-06-14 14:33 mkv Note Added: 0067408
2017-06-14 14:34 mkv Note Added: 0067409
2017-06-14 14:34 mkv Assigned To mkv => bugmaster
2017-06-14 14:34 mkv Status reviewed => tested
2017-06-16 17:17 bugmaster Changeset attached => occt master 09324e85
2017-06-16 17:17 bugmaster Status tested => verified
2017-06-16 17:17 bugmaster Resolution open => fixed
2017-07-03 08:45 git Note Added: 0067874
2017-07-03 08:45 git Note Added: 0067875
2017-08-24 15:06 kgv Relationship added related to 0029047
2017-08-24 15:06 kgv Relationship replaced parent of 0029047
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker